Bug 28266 - Original ISA SB AWE32 non-PNP configuration problems
Original ISA SB AWE32 non-PNP configuration problems
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: sndconfig (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-19 00:35 EST by Lonny Jacobson
Modified: 2014-03-16 22:19 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-04 09:03:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lonny Jacobson 2001-02-19 00:35:13 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.0-0.99.11 i586)


After upgrading from RH 6.1+ to Fisher, my Sound Blaster AWE32 card no
longer works.  The card is the original ISA SB AWE32 w/o Plug-n-Play. 
Attempts to "cat" /dev/sndstat and /dev/mixer result in a "No such device"
error.  After looking at the kernel documentation, I added the following
lines to modules.conf:

alias char-major-14 sb
post-install sb /sbin/modprobe sb
options sb io=220 irq=7 dma=1 dma16=5 mpu_io=330

Now, I see the following messages:

kernel: Soundblaster audio driver Copyright (C) by Hannu Savolainen
1993-1996
kernel: sb: No ISAPnP cards found, trying standard ones...
kernel: sb: I/O region in use.
insmod: /lib/modules/2.4.0-0.99.11/kernel/drivers/sound/sb.o: init_module:
No such device
insmod: Hint: insmod errors can be caused by incorrect module parameters,
including invalid IO or IRQ parameters
insmod: /lib/modules/2.4.0-0.99.11/kernel/drivers/sound/sb.o: insmod
char-major-14 failed

I've been using the same I/O address and IRQ for years without trouble.


Reproducible: Didn't try
Steps to Reproduce:
1. I performed a full (i.e. every package) installation of Fisher via FTP
2. At the first boot, it did not look like the OS even tried to configure
the soundcard


It looks like the kernel configuration for sound cards has changed since
the last v2.2 kernel and the documentation has not caught up with it.
Comment 1 Bill Nottingham 2001-02-19 00:39:13 EST
What does /proc/interrupts and /proc/ioports look like?

Is there anything in /proc/isapnp?
Comment 2 Bill Nottingham 2001-02-19 14:19:47 EST
Also, what happens if you add 'isapnp=0' to the end of the options
line in modules.conf?
Comment 3 Glen Foster 2001-02-21 10:12:35 EST
We (Red Hat) should really try to resolve this before next release.
Comment 4 Lonny Jacobson 2001-02-23 23:50:35 EST
/proc/interrupts
           CPU0       
  0:      97130          XT-PIC  timer
  1:       1069          XT-PIC  keyboard
  2:          0          XT-PIC  cascade
  4:       7853          XT-PIC  serial
  5:       2585          XT-PIC  NE2000
  8:          1          XT-PIC  rtc
 10:      58425          XT-PIC  aic7xxx
 12:         15          XT-PIC  usb-ohci
 14:         37          XT-PIC  ide0
 15:      34696          XT-PIC  ide2
NMI:          0 
ERR:          0

/proc/ioports
0000-001f : dma1
0020-003f : pic1
0040-005f : timer
0060-006f : keyboard
0070-007f : rtc
0080-008f : dma page reg
00a0-00bf : pic2
00c0-00df : dma2
00f0-00ff : fpu
01f0-01f7 : ide0
02f8-02ff : serial(auto)
0340-035f : eth0
0378-037a : parport0
03c0-03df : vga+
03f6-03f6 : ide0
03f8-03ff : serial(auto)
0778-077a : parport0
0cf8-0cff : PCI conf1
6000-601f : Intel Corporation 82371SB PIIX3 USB [Natoma/Triton II]
6100-61ff : Adaptec AIC-7881U
6200-6207 : Promise Technology, Inc. 20267
  6200-6207 : ide2
6300-6303 : Promise Technology, Inc. 20267
  6302-6302 : ide2
6400-6407 : Promise Technology, Inc. 20267
6500-6503 : Promise Technology, Inc. 20267
6600-663f : Promise Technology, Inc. 20267
  6600-6607 : ide2
  6608-660f : ide3
  6610-663f : PDC20267
f000-f00f : Intel Corporation 82371SB PIIX3 IDE [Natoma/Triton II]
  f000-f007 : ide0

/proc/isapnp does not exist
Comment 5 Lonny Jacobson 2001-02-24 00:01:50 EST
Seeting the options line to:

options sb io=220 irq=7 dma=1 dma16=5 mpu_io=330 isapnp=0

produced the following lines in dmesg:

Soundblaster audio driver Copyright (C) by Hannu Savolainen 1993-1996
sb: I/O region in use.
Comment 6 Bill Nottingham 2001-02-24 22:32:52 EST
WHat happens if you change the 220 and 330 to 0x220 and 0x330?
Comment 7 Lonny Jacobson 2001-02-25 15:08:26 EST
Those pesky decimal vs. hexadecimal conversions!  That fixed it.

Thank you.
Comment 8 Bill Nottingham 2001-02-25 17:31:07 EST
OK, how did sndconfig originally fail for you - I've checked, it does
write 0x<whatever>?
Comment 9 Lonny Jacobson 2001-02-27 22:57:04 EST
The sound card configuration was never written to /etc/modules.conf
Comment 10 Bill Nottingham 2001-02-27 23:32:57 EST
Were there any error messages when you ran sndconfig?
Comment 11 Lonny Jacobson 2001-03-04 09:03:03 EST
Actually, I didn't know to run sndconfig.

However, when I run it and select my sound card from the list, the first test
passes.  The second test (midi) fails with the following error:
/lib/modules/2.4.0-0.99.11/kernel/drivers/sound/awe_wave.o    
          : init_module: No such 
/lib/modules/2.4.0-0.99.11/kernel/drivers/sound/awe_wave.o    
          : insmod
/lib/modules/2.4.0-0.99.11/kernel/drivers/sound/awe_wave.o    
          failed
/lib/modules/2.4.0-0.99.11/kernel/drivers/sound/awe_wave.o    
          : insmod midi failed

lsmod returns:
Module                  Size  Used by
sb                      7776   1  (autoclean)
sb_lib                 35648   0  (autoclean) [sb]
uart401                 6576   0  (autoclean) [sb_lib]
sound                  61888   1  (autoclean) [sb_lib uart401]
soundcore               4400   5  (autoclean) [sb_lib sound]
sr_mod                 15264   0  (autoclean)
cdrom                  27264   0  (autoclean) [sr_mod]
autofs                 11088   1  (autoclean)
ne                      6992   1  (autoclean)
8390                    6592   0  (autoclean) [ne]
ipchains               34336   0  (unused)
st                     26112   0  (unused)
nls_iso8859-1           2880   2  (autoclean)
nls_cp437               4384   2  (autoclean)
vfat                   11184   2  (autoclean)
fat                    32256   0  (autoclean) [vfat]
parport_pc             17680   0  (autoclean)
cpia_pp                 3696   0  (autoclean) (unused)
parport                24704   0  (autoclean) [parport_pc cpia_pp]
cpia_usb                4736   0  (unused)
cpia                   44592   0  [cpia_pp cpia_usb]
videodev                4768   0  [cpia]
usb-ohci               17056   0  (unused)
usbcore                49056   1  [cpia_usb usb-ohci]
aic7xxx               118992   0 
sd_mod                 11424   0 
scsi_mod               92464   4  [sr_mod st aic7xxx sd_mod]
Comment 12 Bill Nottingham 2001-03-05 00:29:34 EST
That's a kernel problem, fix in a later kernel. Resolving as
'worksforme' as sndconfig appears to be functioning normally.

Note You need to log in before you can comment on or make changes to this bug.